package cn.sh.stc.sict.theme.hpgp.controller.mobile;


import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.cloud.common.log.annotation.SysLog;
import cn.sh.stc.sict.cloud.common.security.util.SecurityUtils;
import cn.sh.stc.sict.cloud.upms.dto.CurrentUser;
import cn.sh.stc.sict.theme.hpgp.model.HpgpLumbarAnswer;
import cn.sh.stc.sict.theme.hpgp.service.HpgpLumbarAnswerService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.io.Serializable;
import java.util.List;

@Slf4j
@RestController
@AllArgsConstructor
@Api(tags = "[C]腰椎问卷")
@RequestMapping("/hpgp/lumbar")
public class HpgpLumbarAnswerController {

    private final HpgpLumbarAnswerService hpgpLumbarAnswerService;

    @ApiOperation("分页")
    @GetMapping("/page")
    public R selectAll(Page<HpgpLumbarAnswer> page, HpgpLumbarAnswer hpgpLumbarAnswer) {
        return new R().success(this.hpgpLumbarAnswerService.page(page, new QueryWrapper<>(hpgpLumbarAnswer)));
    }

    @SysLog
    @ApiOperation("腰椎问卷-新增")
    @PostMapping
    public R insert(@RequestBody HpgpLumbarAnswer lumbar) {
        CurrentUser current = SecurityUtils.getCurrentUser();
        lumbar.setUserId(current.getId());
        return new R().success(this.hpgpLumbarAnswerService.save(lumbar));
    }

}